<!DOCTYPE html>
<html>
<head>
	<!-- meta tag -->
	<meta charset="utf-8">
	<title>HTML Table</title>
</head>
<body>
	<!-- title of the webpage -->
	<h2 align="center">Welcome to the Table Page</h2>
		<!-- div is a generic container of elements, we can add an identifier for our element. An id is a unique identifier for our elements. There should only be one of a kind of id per page. -->
		<div id="navDiv">
			<a href="./index.html">Home Page</a>
			<a href="./form.html">Forms Page</a>
		</div>


		<h3>HTML Entities</h3>
		<p>
			<em>There are reserved characters in HTML. (e.g. &lt; or &gt;)</em>
		</p>
		<p>
			HTML entities start with an ampersand (&) and with a semicolon(;).
		</p>
		<h4>Common HTML Entities</h4>
		<!-- 
			Table tag allows us to create a table where in we can display data/information in a tabular form:
				in rows
				in columns

			border attribute, when added to a table, allows us tp determine the thickness of the borders in a table
		 -->
		 <table border="1">
		 	<!-- tr means table row. It allows us to create a row in an HTML table. -->
		 	<!-- thead (table head) is used to group header/heading content in an HTML table
		 	 -->
		 	 <thead>
		 	 	<tr>
		 	 		<!-- th means table header. It allows us to add cell which will be our headers. The text n this element is bolded. -->
		 	 		<!-- colspan attribute allows us to add how many columns to occupy for a cell. -->
		 	 		<!-- rowspan attribute allows us to add how many row to occupy for a cell. -->
		 			<th colspan="2">Entity</th>
		 			<th>Description</th>
		 		</tr>
		 	 </thead>
		 	 <!-- tbody tag is used to group body content in HTML table. This is where the bulk of td or table data will be put. -->
		 	 <tbody>
		 	 	<tr>
		 	 		<!-- td means table data. This cell, unlike th, does not bold the text. -->
		 	 		<td>&lt;</td>
		 	 		<td>lt</td>
		 	 		<td>Less than</td>
		 	 	</tr>
		 	 	<tr>
		 	 		<td>&gt;</td>
		 	 		<td>gt</td>
		 	 		<td>Greater than</td>
		 	 	</tr>
		 	 	<tr>
		 	 		<td>&#8369;</td>
		 	 		<td>#8369</td>
		 	 		<td>Peso Sign</td>
		 	 	</tr>
		 	 	<tr>
		 	 		<td>&amp;</td>
		 	 		<td>amp</td>
		 	 		<td>Ampersand</td>
		 	 	</tr>
		 	 	<tr>
		 	 		<td>&ntilde;</td>
		 	 		<td>ntilde</td>
		 	 		<td>Lower tilde</td>
		 	 	</tr>
		 	 </tbody>
		 	 <tfoot>
		 	 	<!-- tfoot is used to group footer content in an HTML table. It allows us to add miscellaneous content at the end of the table. -->
		 	 	<tr>
		 	 		<th colspan="3">List of Common HTML Entities</th>
		 	 	</tr>
		 	 </tfoot>
		 </table>

<hr>
<!-- Mini-Activity
	Create a product list and display in a table.

	The table should be at least three columns:
		name
		price
		description
	add at least 5 products
 -->

<table border="2">
	<thead>
		<tr>
			<th>Name</th>
			<th>Price</th>
			<th>Description</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>Bear brand Sterilized</td>
			<td>&#8369;35.00</td>
			<td>Drink</td>
		</tr>
		<tr>
			<td>Monde Nissin</td>
			<td>&#8369;15.00</td>
			<td>Food Snack</td>	
		</tr>
		<tr>
			<td>Surf Powder</td>
			<td>&#8369;7.00</td>
			<td>Cleaning product</td>
		</tr>
		<tr>
			<td>Tortillos</td>
			<td>&#8369;8.00</td>
			<td>Food Snack</td>
		</tr>
		<tr>
			<td>Palmolive Shampoo</td>
			<td>&#8369;8.00</td>
			<td>Hygiene product</td>
		</tr>
	</tbody>
	<tfoot>
		 <tr>
		 	 <th colspan="3">Enjoy Shopping!</th>
		 </tr>
	</tfoot>
</table>
</body>
</html>